Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.render.http
Class URLEditRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.ManagedRenderer
            |
            +--oracle.portal.provider.v2.render.http.BaseManagedRenderer
                  |
                  +--oracle.portal.provider.v2.render.http.URLEditRenderer

All Implemented Interfaces:
  InitializableXMLObject, Validateable

public synchronized class URLEditRenderer
extends BaseManagedRenderer

Field Summary
`static java.lang.String` | `LAST_EDITED_TIME`
`static java.lang.String` | `PORTLET_TITLE`

Constructor Summary
`URLEditRenderer()`

Method Summary
`static java.util.Date` | `getLastEditTime(URLPersonalizationObject)`
`void` | `renderBody(PortletRenderRequest)` Performs the steps necessary to render the portlet's contents for this specific `PortletRenderRequest`.
`void` | `setQualifyParameters(java.lang.String)`

Methods inherited from class oracle.portal.provider.v2.render.http.BaseManagedRenderer
`addParameter, getContentType, getGeneratesESI, postInitialize, preInitialize, prepareResponse, setContentType, setGeneratesESI, setGeneratesESI, setPageExpires, setPageExpires, setUseInvalidationCaching, setUseInvalidationCaching, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORTLET_TITLE

    public static final java.lang.String PORTLET_TITLE

See Also:
  Constant Field Values

### LAST_EDITED_TIME

    public static final java.lang.String LAST_EDITED_TIME

See Also:
  Constant Field Values

Constructor Detail

### URLEditRenderer

    public URLEditRenderer()

Method Detail

### renderBody

    public void renderBody(PortletRenderRequest)
                    throws PortletException,
                           AccessControlException

  Description copied from class: `ManagedRenderer`
  Performs the steps necessary to render the portlet's contents for this specific `PortletRenderRequest`. If this ManagedRenderer is rendering for the default page, this method should be able to render contents for all remaining supported modes.

  Specified by:
    `renderBody` in class `ManagedRenderer`
  Parameters:
    `` - a `PortletRenderRequest`
    `PortletException`
    `AccessControlException`

### setQualifyParameters

    public void setQualifyParameters(java.lang.String)

### getLastEditTime

    public static java.util.Date getLastEditTime(URLPersonalizationObject)

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.